update or not update, this is the question....

Discussion in 'Wii - Hacking' started by olosi, Jul 28, 2008.

Jul 28, 2008
  1. olosi
    OP

    Newcomer olosi Advanced Member

    Joined:
    Jul 27, 2008
    Messages:
    58
    Location:
    Italy
    Country:
    Italy
    hello everybody,
    I just bought a PAL modded wii, unfortunately I don't know what chip is inside.

    Inserting few games it's asking for a firmware update, is it safe to update it ?

    If I don't update and use Wiu to remove it from iso can I play the game anyway ?

    Thanks in advance for any comment or suggestion !
     
  2. linuxares

    Member linuxares GBAtemp Maniac

    Joined:
    Aug 5, 2007
    Messages:
    1,386
    Country:
    Sweden
    Aslong the games are PAL it should be allright, if you are really unsure about this, do a Wii Update over the internet. You will get 3.3, but if you want for say 3.2 you can now downgrade.
     
  3. Lumstar

    Member Lumstar Princess

    Joined:
    Mar 6, 2006
    Messages:
    3,531
    Location:
    Darling
    Country:
    United States
    Where did you find a TV that accepts PAL input correctly?
     
  4. olosi
    OP

    Newcomer olosi Advanced Member

    Joined:
    Jul 27, 2008
    Messages:
    58
    Location:
    Italy
    Country:
    Italy
    Theclaw, well I'm from Italy so I think my tv accepts the PAL connection.

    Lunuxares, well why should I need a downgrade ? Are the games really so linked to the firmware version that if you install the 3.2 the one that have included the 3.1 won't play ?
     
  5. skawo96

    Member skawo96 GBAtemp Advanced Maniac

    Joined:
    May 22, 2008
    Messages:
    1,925
    Country:
    United Kingdom
    ....no. But IF you would upgrade via internet, then the best option is to downgrade.

    If your games are PAL, then update. If not, not.

    You can always do the update via internet and downgrade to hacker-friendly version.
     
  6. olosi
    OP

    Newcomer olosi Advanced Member

    Joined:
    Jul 27, 2008
    Messages:
    58
    Location:
    Italy
    Country:
    Italy
    wonderful I'll do that so.
    Thanks a lot for you replies my fiends
     
  7. gamidi

    Newcomer gamidi Advanced Member

    Joined:
    Feb 2, 2008
    Messages:
    94
    Country:
    Greece
    Dont forget to install the homebrew channel first.
     
  8. olosi
    OP

    Newcomer olosi Advanced Member

    Joined:
    Jul 27, 2008
    Messages:
    58
    Location:
    Italy
    Country:
    Italy
    Well I already updated it via internet, I didn't know about the homebrew channel, I'm risking something now ?


    I'm at 3.3 E now.
     
  9. Volkov

    Member Volkov GBAtemp Fan

    Joined:
    Jan 31, 2008
    Messages:
    332
    Country:
    Australia
    They are pretty common [​IMG]
     
  10. linuxares

    Member linuxares GBAtemp Maniac

    Joined:
    Aug 5, 2007
    Messages:
    1,386
    Country:
    Sweden
    Nah, you just need to use the latest version of the TP Hack and Homebrew channel will install fine on 3.3. Also you can downgrade to 3.2 if you feel like it.
     
  11. berlinka

    Member berlinka You have sustained a lethal injury.

    Joined:
    Jul 31, 2003
    Messages:
    3,147
    Location:
    Harderwijk, Netherlands
    Country:
    Netherlands
    I'm still on 3.2E and I won't update until something comes out that's AND incredible AND it's not working.
     
  12. OSW

    Former Staff OSW Wii King

    Joined:
    Oct 30, 2006
    Messages:
    4,796
    Country:
    Australia
    does PAL Brawl install patched IOS30 (trucha fix)? because it asked me to update when my wii was already 3.2E (from waninkokos downgrader).
     
  13. linuxares

    Member linuxares GBAtemp Maniac

    Joined:
    Aug 5, 2007
    Messages:
    1,386
    Country:
    Sweden
    No.
     

Share This Page